summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Schwyn (svoop) <gentoo@bitcetera.com>2008-06-18 16:11:17 +0000
committerSven Schwyn (svoop) <gentoo@bitcetera.com>2008-06-18 16:11:17 +0000
commitad66cfb23eaec40f2a44afddc3210d5e9dcfcaa9 (patch)
treecbb39622240aa79533c40c37c07ad149ba371101 /app-misc/heyu/files/2.3.2/heyu.init
parentnew USE flags 'cm17a', 'dmx210', 'ext0', 'ore', 'rfxm', 'rfxs' for app-misc/heyu (diff)
downloadsunrise-ad66cfb23eaec40f2a44afddc3210d5e9dcfcaa9.tar.gz
sunrise-ad66cfb23eaec40f2a44afddc3210d5e9dcfcaa9.tar.bz2
sunrise-ad66cfb23eaec40f2a44afddc3210d5e9dcfcaa9.zip
app-misc/heyu: new ebuild app-misc/heyu (bug 91396)
svn path=/sunrise/; revision=6338
Diffstat (limited to 'app-misc/heyu/files/2.3.2/heyu.init')
-rw-r--r--app-misc/heyu/files/2.3.2/heyu.init24
1 files changed, 24 insertions, 0 deletions
diff --git a/app-misc/heyu/files/2.3.2/heyu.init b/app-misc/heyu/files/2.3.2/heyu.init
new file mode 100644
index 000000000..e8ff76e0d
--- /dev/null
+++ b/app-misc/heyu/files/2.3.2/heyu.init
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+start() {
+ ebegin "Starting heyu"
+ mkdir /var/tmp/heyu 2>/dev/null
+ chmod a=rwx /var/tmp/heyu
+ /usr/bin/heyu start >/dev/null
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping heyu"
+ /usr/bin/heyu stop
+ eend $?
+}
+
+restart() {
+ svc_stop
+ sleep 5
+ svc_start
+}